## org.apache.batik.dom.svg
Interface SVGMotionAnimatableElement

All Known Implementing Classes:
  BindableElement, SVGGraphicsElement, SVGOMAElement, SVGOMCircleElement, SVGOMClipPathElement, SVGOMDefsElement, SVGOMEllipseElement, SVGOMFlowRootElement, SVGOMForeignObjectElement, SVGOMGElement, SVGOMImageElement, SVGOMLineElement, SVGOMMaskElement, SVGOMPathElement, SVGOMPolygonElement, SVGOMPolylineElement, SVGOMRectElement, SVGOMSwitchElement, SVGOMTextElement, SVGOMToBeImplementedElement, SVGOMUseElement, SVGPointShapeElement, SVGURIReferenceGraphicsElement

    public interface SVGMotionAnimatableElement

An interface for SVG elements that can be animated with 'animateMotion'.

Method Summary
`java.awt.geom.AffineTransform` `getMotionTransform()` Returns the `AffineTransform` representing the current motion animation for this element.

Method Detail

### getMotionTransform

    java.awt.geom.AffineTransform getMotionTransform()

  Returns the `AffineTransform` representing the current motion animation for this element.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.